namespace Example
{
	using System.IO;

	internal class EmbeddedResource
	{
		private string _path;
		private Stream _stream;

		public EmbeddedResource(string path)
		{
			_path = path;
		}

		public Stream Stream
		{
			get
			{
				if (_stream == null)
					_stream = this.GetType().Assembly.GetManifestResourceStream(_path);

				return _stream;
			}
		}
	}
}